%define module_name DR-Tnt
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Carp.pm) perl(Coro.pm) perl(DR/Msgpuck.pm) perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/UNIX.pm) perl(JSON/XS.pm) perl(List/MoreUtils.pm) perl(MIME/Base64.pm) perl(Mouse.pm) perl(Scalar/Util.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.24
Release: alt1
Summary: driver/connector for tarantool
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/U/UN/UNERA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a synchronous and asynchronous driver for
Tarantool.

The driver supports three work flow types:

=over

=item the DR::Tnt::Client::AE manpage

The primary type, provides an asynchronous, callback-based 
API. Requires a running the AnyEvent manpage machine.

=item the DR::Tnt::Client::Sync manpage

Synchronous driver (based on the IO::Socket::INET manpage/the IO::Socket::UNIX manpage).

=item the DR::Tnt::Client::Coro manpage

the Coro manpage's driver, uses the DR::Tnt::Client::AE manpage.

=back

The module does the require manpage and makes instance of 
selected driver.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/D*

%changelog
* Sat Aug 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1
- regenerated from template by package builder

* Sat Aug 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- regenerated from template by package builder

* Wed May 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- regenerated from template by package builder

* Tue Oct 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- regenerated from template by package builder

* Sat Oct 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Fri Mar 24 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

